### Method

# Gegl Buffer set_abyss

#### Declaration [src]

    gboolean
    gegl_buffer_set_abyss (
      GeglBuffer* buffer,
      const GeglRectangle* abyss
    )

#### Description [src]

Changes the size and position of the abyss rectangle of a buffer.

Returns TRUE if the change of abyss was successful.

#### Parameters

`abyss`

  Type: `GeglRectangle`

  New abyss.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.